Bug 114507 - proxy support for scrollkeeper-update
proxy support for scrollkeeper-update
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: scrollkeeper (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-28 15:56 EST by Hans Deragon
Modified: 2007-04-18 13:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-06 18:23:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Deragon 2004-01-28 15:56:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
Performing a kickstart upgrade from RHL 7.1 -> RHL 9, I notice that
the scrollkeeper-update script is called and attempts to download an
external DTD.  Like many enterprises, we are behind a firewall and
proxy and therefore, the attempt to fetch the DTD failed, as reported
by the scrollkeeper-udpate log:

xmlNanoHTTPConnectAttempt: Connect attempt timed
out./usr/share/gnome/help/introduction-to-gnome/C/introduction-to-gnome.xml:14:
warning: failed to load external entity
"http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd"

It would be nice if we could provide proxy settings so that appication
requiring to fetch external data could do so.  Or better,
scrollkeeper-update should have all the DTDs available locally.

This is a serious problem because the timeouts last one minutes, but
scrollkeeper-update attempts many times to fetch DTDs (often the
same).  The result is that the installation seams to simply freeze
when it tries to upgrade a package.  I had to kill scrollkeeper-update
to get things going.

Version-Release number of selected component (if applicable):
Anaconda of RHL 9 boot CD.

How reproducible:
Always

Steps to Reproduce:
1.Upgrade RHL 7.1 -> RHL 9 using kickstart

    

Actual Results:  scrollkeeper-update timeout.

Expected Results:  Faster upgrade.

Additional info:
Comment 1 Alexander Larsson 2004-02-09 06:23:54 EST
It shouldn't need to get the DTD. It should be availible locally.
Might be a docbook setup issue.
Comment 2 Bill Nottingham 2006-08-05 00:17:17 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Hans Deragon 2006-08-06 18:23:42 EDT
I am not following this issue anymore.  I do not know if this still exist within
Fedora, as I do not perform anykind of upgrade with kickstart anymore.  I am
closing this bug report with CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.